%if 0%{?fedora} >= 22
%global with_python3 1
%endif

%global unmangled_name fake-factory
%global github_name faker
%global github_user joke2k

Summary: Faker is a Python package that generates fake data for you.
Name: python-%{unmangled_name}
Version: 0.5.3
Release: 1%{?dist}.1
Source0: https://github.com/%{github_user}/%{github_name}/archive/v%{version}/%{github_name}-%{version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: joke2k <joke2k@gmail.com>
Url: http://github.com/joke2k/faker
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-mock
BuildRequires: python-UkPostcodeParser
%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-mock
BuildRequires: python3-UkPostcodeParser
%endif

%description
Faker is a Python package that generates fake data for you. Whether
you need to bootstrap your database, create good-looking XML documents,
fill-in your persistence to stress test it, or anonymize data taken from
a production service, Faker is for you.

Faker is heavily inspired by PHP Faker, Perl Faker, and by Ruby Faker.

%if 0%{?with_python3}
%package -n python3-%{unmangled_name}
Summary: Faker is a Python package that generates fake data for you.
Group: Development/Libraries

%description -n python3-%{unmangled_name}
Faker is a Python package that generates fake data for you. Whether
you need to bootstrap your database, create good-looking XML documents,
fill-in your persistence to stress test it, or anonymize data taken from
a production service, Faker is for you.

Faker is heavily inspired by PHP Faker, Perl Faker, and by Ruby Faker.

This package contains the python3 version of this module.
%endif

%prep
%setup -n %{github_name}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
pushd %{py3dir}
popd
%endif

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install \
  --single-version-externally-managed \
  --skip-build \
  -O2 \
  --root=$RPM_BUILD_ROOT \
  --record=INSTALLED_FILES_PY2

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install \
  --single-version-externally-managed \
  --skip-build \
  -O2 \
  --root=$RPM_BUILD_ROOT \
  --record="%{_builddir}/%{buildsubdir}/INSTALLED_FILES_PY3"
popd
%endif

%check
%{__python2} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES_PY2
%defattr(-,root,root)

%if 0%{?with_python3}
%files -n python3-%{unmangled_name} -f INSTALLED_FILES_PY3
%defattr(-,root,root)
%endif
%changelog
* Sat Nov 14 2015 Oleg Girko <ol@infoserver.lv> 0.5.3-1
- Initial package
